LDIF2LDBM(8C)

NAME
ldif2ldbm, ldif2index, ldif2id2entry, ldif2id2children - LDIF to LDBM database format conversion utilities

SYNOPSIS
SBINDIR/ldif2ldbm -i ldif-input-file [-d debug-level] [-f slapd-config-file] [-j number-of-jobs] [-n database#] [-s sbindir]

SBINDIR/ldif2index -i ldif-input-file [-d debug-level] [-f slapd-config-file] [-n database#] attribute-name

SBINDIR/ldif2id2entry -i ldif-input-file [-d debug-level] [-f slapd-config-file] [-n database#]

SBINDIR/ldif2id2children -i ldif-input-file [-d debug-level] [-f slapd-config-file] [-n database#]

DESCRIPTION

These programs are used to convert a database in text LDIF LDAP Directory Interchange Format (LDIF) to an LDBM database suitable for use by slapd(8). Normally, only ldif2ldbm is invoked by you. It will invoke the other programs as necessary. Occasionally, it may be necessary to invoke them by hand. For example, to create a new index file for an existing database, the ldif2index program can be invoked. The ldbmcat(8) program is used to do the reverse conversion.

See "The SLAPD and SLURPD Administrator's Guide" for more details on using these programs.

OPTIONS
The first three options apply to all four programs. The -j option is only for the ldif2ldbm program.

-i ldif-input-file
    This option specifies the location of the LDIF input file containing the database to convert. It is required.

-d debug-level
    Turn on debugging as defined by debug-level. Some general operation and status messages are printed for any value of debug-level. debug-level is taken as a bit string, with each bit corresponding to a different kind of debugging information. See <ldap.h> for details.

-f slapd-config-file
    This option specifies the slapd configuration file. The default is ETCDIR/slapd.conf.

-n database#
    This option specifies the database number within slapd configuration file to build. The default is the 1, the first.

-s sbindir
    This option specifies the location of dependent tools. The default is SBINDIR.

-j number-of-jobs
    This option only applies to the ldif2ldbm program. It specifies the level of parallelism to use when doing the conversion. ldif2ldbm invokes several other programs during the conversion process, most notably one invocation of ldif2index for each indexed attribute that appears in the LDIF input file. The -j option tells ldif2ldbm how many of these other programs it should run in parallel. This can speed up the conversion, but beware of starting too many processes in parallel, all competing for disk, memory, and cpu resources. The default is one.

EXAMPLES
To convert the file ldif.input into an LDBM database with indexes as described in the slapd config file ETCDIR/slapd.conf, give the command:

	SBINDIR/ldif2index -i ldif.input -f ETCDIR/slapd.conf

To build the second database listed in ETCDIR/slapd.conf, and to use three conversion sub-processes at a time, give this command:

	SBINDIR/ldif2index -i ldif.input -f ETCDIR/slapd.conf -n 2 -j 3

SEE ALSO
ldap(3), ldif(5), slapd.conf(5), ldbmcat(8), edb2ldif(8)

"The SLAPD and SLURPD Administrator's Guide"

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.